# Generated by Django 2.2 on 2020-09-09 06:33

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('cmweb', '0010_rooms_room_all_moderators'),
    ]

    operations = [
        migrations.CreateModel(
            name='Stream',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stream_id', models.CharField(max_length=100)),
                ('stream_name', models.CharField(max_length=200)),
                ('stream_link', models.CharField(max_length=200)),
                ('stream_start_time', models.DateTimeField(auto_now_add=True)),
                ('stream_end_time', models.DateTimeField(blank=True, null=True)),
                ('stream_is_running', models.BooleanField(default=False)),
                ('stream_server_uuid', models.CharField(max_length=100)),
                ('stream_provider', models.CharField(default='DIGITAL_OCEAN', max_length=20)),
                ('stream_configs', django.contrib.postgres.fields.jsonb.JSONField()),
            ],
        ),
    ]
